"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = require("@angular/core");
var forms_1 = require("@angular/forms");
var core_2 = require("@ui-model/core");
var DatePickerComponent = (function () {
    function DatePickerComponent() {
        this.toggle = new core_2.Toggle();
        this.disabled = false;
    }
    Object.defineProperty(DatePickerComponent.prototype, "value", {
        get: function () {
            return this._value;
        },
        set: function (value) {
            this._value = value;
        },
        enumerable: true,
        configurable: true
    });
    DatePickerComponent.prototype.ngOnInit = function () {
    };
    DatePickerComponent.prototype.writeValue = function (obj) {
        this.value = obj;
    };
    DatePickerComponent.prototype.changed = function () {
        if (this._onChange) {
            this._onChange(this.value);
        }
    };
    DatePickerComponent.prototype.registerOnChange = function (fn) {
        this._onChange = fn;
    };
    DatePickerComponent.prototype.touched = function () {
        if (this._onTouched) {
            this._onTouched();
        }
    };
    DatePickerComponent.prototype.registerOnTouched = function (fn) {
        this._onTouched = fn;
    };
    DatePickerComponent.prototype.setDisabledState = function (isDisabled) {
        this.disabled = isDisabled;
    };
    DatePickerComponent.decorators = [
        { type: core_1.Component, args: [{
                    selector: 'ui-date-picker',
                    templateUrl: './date-picker.component.html',
                    styleUrls: ['./date-picker.component.scss'],
                    providers: [
                        { provide: forms_1.NG_VALUE_ACCESSOR, multi: true, useExisting: DatePickerComponent },
                    ],
                },] },
    ];
    /** @nocollapse */
    DatePickerComponent.ctorParameters = function () { return []; };
    DatePickerComponent.propDecorators = {
        "disabled": [{ type: core_1.Input },],
    };
    return DatePickerComponent;
}());
exports.DatePickerComponent = DatePickerComponent;
//# sourceMappingURL=date-picker.component.js.map